## bear 2.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(bear C)
set(BEAR_VERSION "2.4.0")

include(GNUInstallDirs)
install(FILES COPYING README.md ChangeLog.md
  DESTINATION ${CMAKE_INSTALL_DOCDIR})

include(CheckCCompilerFlag)
check_c_compiler_flag("-std=c99" C99_SUPPORTED)
if (C99_SUPPORTED)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99")
endif()

add_definitions(-D_GNU_SOURCE)
list(APPEND CMAKE_REQUIRED_DEFINITIONS -D_GNU_SOURCE)

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release")
endif()

set(CMAKE_OSX_ARCHITECTURES "i386;x86_64" CACHE STRING  "Rogue")

set(EAR_LIB_FILE ${CMAKE_SHARED_LIBRARY_PREFIX}ear${CMAKE_SHARED_LIBRARY_SUFFIX})
set(EAR_LIB_PATH "${CMAKE_INSTALL_LIBDIR}/bear")
set(DEFAULT_PRELOAD_FILE ${CMAKE_INSTALL_PREFIX}/${EAR_LIB_PATH}/${EAR_LIB_FILE} CACHE STRING "Default path to libear.")

add_subdirectory(libear)
add_subdirectory(bear)
add_subdirectory(test)
add_subdirectory(man)

set(CPACK_PACKAGE_NAME "bear")
set(CPACK_PACKAGE_CONTACT "László Nagy")
set(CPACK_PACKAGE_VENDOR ${CPACK_PACKAGE_CONTACT})
set(CPACK_PACKAGE_VERSION ${BEAR_VERSION})
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "BuildEAR")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
set(CPACK_PACKAGING_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
set(CPACK_RPM_PACKAGE_RELEASE "1%{?dist}")
set(CPACK_RPM_PACKAGE_LICENSE "GPLv3")
set(CPACK_RPM_PACKAGE_GROUP "Development/Tools")
set(CPACK_RPM_PACKAGE_URL "http://github.com/rizsotto/Bear")
set(CPACK_RPM_PACKAGE_DESCRIPTION "Bear is a tool to generate compilation database for clang tooling.")
set(CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION
    "${CMAKE_INSTALL_MANDIR}"
    "${CMAKE_INSTALL_MANDIR}/man1")
set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
include(CPack)

=== DESCRIPTION ===
Package: bear
Version: 2.4.0
Date: 2009-07-17
Title: Average bioequivalence and bioavailability data analysis tool
Author: Hsin-ya Lee <hsinyalee@gmail.com>, Yung-jin Lee
        <mobilePK@gmail.com>
Maintainer: Hsin-ya Lee <hsinyalee@gmail.com>
Depends: R (>= 2.8.0), reshape, nlme, sciplot, plotrix, ICSNP, gdata
Description: An average bioequivalence (ABE) and bioavailability data
        analysis tool including sample size estimation,
        noncompartmental analysis (NCA), ANOVA (lm) for a standard
        RT/TR 2x2x2 crossover design and linear mixed effect model (lme
        of nlme) for a 2-treatment, 2-sequence, with 2 periods or more
        (i.e. 2x2x3/2x2x4) replicate design or a 2-treatment,
        2-sequence, and 1-period parallel ABE study (2x2x1).
License: GPL (>= 2)
URL: http://pkpd.kmu.edu.tw/bear
Packaged: 2009-07-21 03:56:34 UTC; Hsin Ya Lee
Repository: CRAN
Date/Publication: 2009-07-21 12:27:44

=== debian/changelog ===
bear (2.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 06 Jul 2019 13:04:24 +0200

bear (2.4.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version.
    - Remove obsolete Breaks+Replaces.
  * debian/: Bump debhelper compat to 12.
  * debian/copyright: Bump copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 10 Jun 2019 22:47:09 +0200

=== debian/control ===
Source: bear
Priority: optional
Section: devel
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 cmake,
 python:any,
 python3:any,
 scons,
 dh-python
Standards-Version: 4.3.0
Homepage: https://github.com/rizsotto/Bear
Vcs-Browser: https://salsa.debian.org/sramacher/bear
Vcs-Git: https://salsa.debian.org/sramacher/bear.git
Rules-Requires-Root: no

Package: bear
Architecture: all
Depends:
 libear (>= ${source:Version}), libear (<< ${source:Upstream-Version}.0~),
 ${misc:Depends},
 ${python3:Depends}
Description: generate compilation database for Clang tooling
 Bear records the flags passed to the compiler for each translation unit and
 stores them in a JSON file. This file can be used by Clang's tooling interface
 and programs like clang-check to process a translation unit.
 .
 cmake supports the generation of JSON compilation databases out of the box.
 For any other build system that does not support this, Bear can be used
 instead to intercept the invocation of the compiler.

Package: libear
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: generate compilation database for Clang tooling (wrapper library)
 Bear records the flags passed to the compiler for each translation unit and
 stores them in a JSON file. This file can be used by Clang's tooling interface
 and programs like clang-check to process a translation unit.
 .
 cmake supports the generation of JSON compilation databases out of the box.
 For any other build system that does not support this, Bear can be used
 instead to intercept the invocation of the compiler.
 .
 This is the required library for wrapping system calls.

## bear 2.4.1

=== DESCRIPTION ===
Package: bear
Version: 2.4.1
Date: 2009-09-07
Title: Average bioequivalence and bioavailability data analysis tool
Author: Hsin-ya Lee, Yung-jin Lee <mobilePK@gmail.com>,
Maintainer: Yung-jin Lee <mobilePK@gmail.com>
Depends: R (>= 2.9.0), reshape, nlme, sciplot, plotrix, ICSNP, gdata
Description: An average bioequivalence (ABE) and bioavailability data
        analysis tool including sample size estimation,
        noncompartmental analysis (NCA), ANOVA (lm) for a standard
        RT/TR 2x2x2 crossover design and linear mixed effect model (lme
        of nlme) for a 2-treatment, 2-sequence, with 2 periods or more
        (i.e. 2x2x3/2x2x4) replicate design or a 2-treatment,
        2-sequence, and 1-period parallel ABE study (2x2x1).
License: GPL (>= 2)
URL: http://pkpd.kmu.edu.tw/bear
Packaged: 2009-09-17 22:06:37 UTC; yjlee168
Repository: CRAN
Date/Publication: 2009-09-18 20:23:33

## bear 2.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.8)
 
 project(bear C)
-set(BEAR_VERSION "2.4.0")
+set(BEAR_VERSION "2.4.2")
 
 include(GNUInstallDirs)
 install(FILES COPYING README.md ChangeLog.md
@@ -30,6 +30,7 @@
 add_subdirectory(bear)
 add_subdirectory(test)
 add_subdirectory(man)
+add_subdirectory(shell-completion)
 
 set(CPACK_PACKAGE_NAME "bear")
 set(CPACK_PACKAGE_CONTACT "László Nagy")

=== DESCRIPTION ===
Package: bear
Version: 2.4.2
Date: 2010-03-22
Title: Average bioequivalence and bioavailability data analysis tool
Author: Hsin-ya Lee, Yung-jin Lee
Maintainer: Yung-jin Lee <mobilePK@gmail.com>
Depends: R (>= 2.10.1), reshape, nlme, sciplot, plotrix, ICSNP, gdata
Description: An average bioequivalence (ABE) and bioavailability data
        analysis tool including sample size estimation,
        noncompartmental analysis (NCA), ANOVA (lm) for a standard
        RT/TR 2x2x2 crossover design and linear mixed effect model (lme
        of nlme) for a 2-treatment, 2-sequence, with 2 periods or more
        (i.e. 2x2x3/2x2x4) replicate design or a 2-treatment,
        2-sequence, and 1-period parallel ABE study (2x2x1).
License: GPL (>= 2)
URL: http://pkpd.kmu.edu.tw/bear
Packaged: 2010-03-22 19:40:28 UTC; datawalker
Repository: CRAN
Date/Publication: 2010-03-23 07:26:41

=== bear/CMakeLists.txt ===
include(FindPythonInterp)
if (PYTHONINTERP_FOUND)
    set(BEAR_PYTHON_EXECUTABLE "python${PYTHON_VERSION_MAJOR}")
else()
    message(FATAL_ERROR "Have not found python interpreter")
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/main.py.in ${CMAKE_CURRENT_BINARY_DIR}/bear)

include(GNUInstallDirs)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/bear
    DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
bear (2.4.2-2) unstable; urgency=medium

  * debian/copyright: List Collabora instead of Simon McVittie
  * debian/tests: Fix encoding and remove ccache from PATH

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 01 Sep 2019 11:32:27 +0200

bear (2.4.2-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/patches: Removed, no longer needed.
  * debian/control: Drop python B-D (Closes: #936195).
  * debian/copyright: Add Simon McVittie.
  * debian/rules:
    - Force python interpreter to be python3.
    - Install upstream changelog.
  * debian/bear.maintscript: Removed, obsolete.
  * debian/bear.install: Actually install bash completion.

  [ Simon McVittie ]
  * d/tests: Add a smoke-test (Closes: #934606)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 30 Aug 2019 19:21:06 +0200

bear (2.4.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version.
    - B-D on bash-completion to install bash completion.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 05 Aug 2019 23:12:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
+ bash-completion,
  cmake,
- python:any,
+ dh-python,
  python3:any,
- scons,
- dh-python
-Standards-Version: 4.3.0
+ scons
+Standards-Version: 4.4.0
 Homepage: https://github.com/rizsotto/Bear
 Vcs-Browser: https://salsa.debian.org/sramacher/bear
 Vcs-Git: https://salsa.debian.org/sramacher/bear.git

## bear 2.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.8)
 
 project(bear C)
-set(BEAR_VERSION "2.4.2")
+set(BEAR_VERSION "2.4.3")
 
 include(GNUInstallDirs)
 install(FILES COPYING README.md ChangeLog.md

=== DESCRIPTION ===
Package: bear
Version: 2.4.3
Date: 2010-04-25
Title: Average bioequivalence and bioavailability data analysis tool
Author: Hsin-ya Lee, Yung-jin Lee
Maintainer: Yung-jin Lee <mobilePK@gmail.com>
Depends: R (>= 2.11.0), reshape, nlme, sciplot, plotrix, ICSNP, gdata
Description: An average bioequivalence (ABE) and bioavailability data
        analysis tool including sample size estimation,
        noncompartmental analysis (NCA), ANOVA (lm) for a standard
        RT/TR 2x2x2 crossover design and linear mixed effect model (lme
        of nlme) for a 2-treatment, 2-sequence, with 2 periods or more
        (i.e. 2x2x3/2x2x4) replicate design or a 2-treatment,
        2-sequence, and 1-period parallel ABE study (2x2x1).
License: GPL (>= 2)
URL: http://pkpd.kmu.edu.tw/bear
Packaged: 2010-04-28 10:08:09 UTC; yjlee168
Repository: CRAN
Date/Publication: 2010-04-28 13:05:18

=== bear/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
     message(FATAL_ERROR "Have not found python interpreter")
 endif()
 
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/main.py.in ${CMAKE_CURRENT_BINARY_DIR}/bear)
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/bear.py ${CMAKE_CURRENT_BINARY_DIR}/bear)
 
 include(GNUInstallDirs)
 install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/bear

=== libear/CMakeLists.txt ===
include(CheckFunctionExists)
include(CheckSymbolExists)
include(CheckIncludeFile)
check_function_exists(execve HAVE_EXECVE)
check_function_exists(execv HAVE_EXECV)
check_function_exists(execvpe HAVE_EXECVPE)
check_function_exists(execvp HAVE_EXECVP)
check_function_exists(execvP HAVE_EXECVP2)
check_function_exists(exect HAVE_EXECT)
check_function_exists(execl HAVE_EXECL)
check_function_exists(execlp HAVE_EXECLP)
check_function_exists(execle HAVE_EXECLE)
check_function_exists(posix_spawn HAVE_POSIX_SPAWN)
check_function_exists(posix_spawnp HAVE_POSIX_SPAWNP)
check_symbol_exists(_NSGetEnviron crt_externs.h HAVE_NSGETENVIRON)

find_package(Threads REQUIRED)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_library(ear SHARED ear.c)
target_link_libraries(ear ${CMAKE_DL_LIBS})
if(THREADS_HAVE_PTHREAD_ARG)
    set_property(TARGET ear PROPERTY COMPILE_OPTIONS "-pthread")
    set_property(TARGET ear PROPERTY INTERFACE_COMPILE_OPTIONS "-pthread")
endif()
if(CMAKE_THREAD_LIBS_INIT)
    target_link_libraries(ear "${CMAKE_THREAD_LIBS_INIT}")
endif()

if(APPLE)
    set(CMAKE_MACOSX_RPATH 1)
    set_target_properties(ear PROPERTIES INSTALL_RPATH "@loader_path/${EAR_LIB_PATH}")
endif()

install(TARGETS ear
    LIBRARY DESTINATION ${EAR_LIB_PATH})

=== shell-completion/bash/CMakeLists.txt ===
find_package(bash-completion)
if (NOT BASH_COMPLETION_FOUND)
    # Fallback default dir
    set(BASH_COMPLETION_COMPLETIONSDIR
        "${CMAKE_INSTALL_DATADIR}/bash-completion/completions/")
endif()

install(
    FILES "bear"
    DESTINATION "${BASH_COMPLETION_COMPLETIONSDIR}"
    COMPONENT shell-completion
    )

=== test/functional/cases/exec_calls/CMakeLists.txt ===
project(exec C)

cmake_minimum_required(VERSION 2.8)

include(CheckCCompilerFlag)
check_c_compiler_flag("-std=c99" C99_SUPPORTED)
if (C99_SUPPORTED)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99")
endif()

include(CheckFunctionExists)
include(CheckSymbolExists)

add_definitions(-D_GNU_SOURCE)
list(APPEND CMAKE_REQUIRED_DEFINITIONS -D_GNU_SOURCE)

check_function_exists(execve HAVE_EXECVE)
check_function_exists(execv HAVE_EXECV)
check_function_exists(execvpe HAVE_EXECVPE)
check_function_exists(execvp HAVE_EXECVP)
check_function_exists(execvP HAVE_EXECVP2)
check_function_exists(exect HAVE_EXECT)
check_function_exists(execl HAVE_EXECL)
check_function_exists(execlp HAVE_EXECLP)
check_function_exists(execle HAVE_EXECLE)
check_function_exists(posix_spawn HAVE_POSIX_SPAWN)
check_function_exists(posix_spawnp HAVE_POSIX_SPAWNP)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_executable(exec main.c)

=== debian/changelog ===
bear (2.4.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Update standards version to 4.4.1, no changes needed.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 27 Jan 2020 23:39:31 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-python,
  python3:any,
  scons
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/rizsotto/Bear
 Vcs-Browser: https://salsa.debian.org/sramacher/bear
 Vcs-Git: https://salsa.debian.org/sramacher/bear.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- \
		-DDEFAULT_PRELOAD_FILE="/usr/\$${LIB}/bear/libear.so" \
		-DPYTHON_EXECUTABLE=/usr/bin/python3

override_dh_auto_test:
	# The tests fail if /usr/lib/ccache is in PATH so we remove it here. The tests
	# do not fail if CC or CXX are set to use ccache.
	PATH=$(shell echo $$PATH | \
		sed -e 's;:/usr/lib/ccache/\?;;' \
			-e 's;^/usr/lib/ccache/\?;;') \
		dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.md

=== debian/tests/control ===
Tests: smoke
Depends: bear, build-essential, python3
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%bear-$1.tar.gz%" \
    https://github.com/rizsotto/Bear/releases \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## bear 2.4.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: bear
-Version: 2.4.3
-Date: 2010-04-25
+Version: 2.4.4
+Date: 2010-05-16
 Title: Average bioequivalence and bioavailability data analysis tool
 Author: Hsin-ya Lee, Yung-jin Lee
 Maintainer: Yung-jin Lee <mobilePK@gmail.com>
@@ -14,6 +14,6 @@
         2-sequence, and 1-period parallel ABE study (2x2x1).
 License: GPL (>= 2)
 URL: http://pkpd.kmu.edu.tw/bear
-Packaged: 2010-04-28 10:08:09 UTC; yjlee168
+Packaged: 2010-04-29 22:38:22 UTC; datawalker
 Repository: CRAN
-Date/Publication: 2010-04-28 13:05:18
+Date/Publication: 2010-05-01 12:45:12

## bear 2.5.0

=== DESCRIPTION ===
Package: bear
Version: 2.5.0
Date: 2010-05-10
Title: Average bioequivalence and bioavailability data analysis tool
Author: Hsin-ya Lee, Yung-jin Lee
Maintainer: Yung-jin Lee <mobilePK@gmail.com>
Depends: R (>= 2.11.0), reshape, nlme, sciplot, plotrix, ICSNP, gdata
Description: An average bioequivalence (ABE) and bioavailability data
        analysis tool including sample size estimation,
        noncompartmental analysis (NCA), ANOVA (lm) for a standard
        RT/TR 2x2x2 crossover design or a parallel study. And linear
        mixed effect model (lme of nlme) for a 2-treatment, 2-sequence
        with 2 periods or more (i.e. 2x2x3/2x2x4) replicate crossover
        design.
License: GPL (>= 2)
URL: http://pkpd.kmu.edu.tw/bear
Packaged: 2010-05-10 12:13:16 UTC; yjlee168
Repository: CRAN
Date/Publication: 2010-05-10 14:37:11

## bear 2.5.1

=== DESCRIPTION ===
Package: bear
Version: 2.5.1
Date: 2010-05-20
Title: Average bioequivalence and bioavailability data analysis tool
Author: Hsin-ya Lee, Yung-jin Lee
Maintainer: Yung-jin Lee <mobilePK@gmail.com>
Depends: R (>= 2.10.0), reshape, nlme, sciplot, plotrix, ICSNP, gdata
Description: An average bioequivalence (ABE) and bioavailability data
        analysis tool including sample size estimation,
        noncompartmental analysis (NCA), ANOVA (lm) for a standard
        RT/TR 2x2x2 crossover design or a parallel study. And linear
        mixed effect model (lme of nlme) for a 2-treatment, 2-sequence
        with 2 periods or more (i.e. 2x2x3/2x2x4) replicate crossover
        design.
License: GPL (>= 2)
URL: http://pkpd.kmu.edu.tw/bear
Packaged: 2010-05-20 22:00:46 UTC; datawalker
Repository: CRAN
Date/Publication: 2010-05-22 05:22:58

## bear 2.5.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: bear
-Version: 2.5.1
-Date: 2010-05-20
+Version: 2.5.2
+Date: 2010-05-31
 Title: Average bioequivalence and bioavailability data analysis tool
 Author: Hsin-ya Lee, Yung-jin Lee
 Maintainer: Yung-jin Lee <mobilePK@gmail.com>
@@ -14,6 +14,6 @@
         design.
 License: GPL (>= 2)
 URL: http://pkpd.kmu.edu.tw/bear
-Packaged: 2010-05-20 22:00:46 UTC; datawalker
+Packaged: 2010-05-27 19:01:03 UTC; datawalker
 Repository: CRAN
-Date/Publication: 2010-05-22 05:22:58
+Date/Publication: 2010-05-28 06:55:45

## bear 2.5.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: bear
-Version: 2.5.2
-Date: 2010-05-31
+Version: 2.5.3
+Date: 2010-06-25
 Title: Average bioequivalence and bioavailability data analysis tool
 Author: Hsin-ya Lee, Yung-jin Lee
 Maintainer: Yung-jin Lee <mobilePK@gmail.com>
@@ -14,6 +14,6 @@
         design.
 License: GPL (>= 2)
 URL: http://pkpd.kmu.edu.tw/bear
-Packaged: 2010-05-27 19:01:03 UTC; datawalker
+Packaged: 2012-10-29 08:58:16 UTC; ripley
 Repository: CRAN
-Date/Publication: 2010-05-28 06:55:45
+Date/Publication: 2012-10-29 08:58:16

## bear 2.5.4

=== DESCRIPTION ===
Package: bear
Version: 2.5.4
Date: 2013-04-04
Title: Average bioequivalence and bioavailability data analysis tool
Author: Hsin-ya Lee, Yung-jin Lee
Maintainer: Yung-jin Lee <mobilepk@gmail.com>
Depends: R (>= 2.12.0), reshape, nlme, sciplot, plotrix, ICSNP, gdata
Description: An average bioequivalence (ABE) and bioavailability data
        analysis tool including sample size estimation,
        noncompartmental analysis (NCA), ANOVA (lm) for a standard
        RT/TR 2x2x2 crossover design or a parallel study. And linear
        mixed effect model (lme of nlme) for a 2-treatment, 2-sequence
        with 2 periods or more (i.e. 2x2x3/2x2x4) replicate crossover
        design.
License: GPL (>= 2)
NeedsCompilation: no
URL: http://pkpd.kmu.edu.tw/bear
Packaged: 2013-04-04 08:42:33 UTC; datawalker
Repository: CRAN
Date/Publication: 2013-04-04 11:44:51

## bear 2.5.5

=== DESCRIPTION ===
Package: bear
Version: 2.5.5
Date: 2013-05-08
Title: Average bioequivalence and bioavailability data analysis tool
Author: Hsin-ya Lee, Yung-jin Lee
Maintainer: Yung-jin Lee <mobilepk@gmail.com>
Depends: R (>= 2.12.0), reshape, nlme, sciplot, plotrix, ICSNP, gdata,
        ggplot2, png, grid
Suggests: plyr
Description: An average bioequivalence (ABE) and bioavailability data
        analysis tool including sample size estimation,
        noncompartmental analysis (NCA), ANOVA (lm) for a standard
        RT/TR 2x2x2 crossover design or a parallel study. And linear
        mixed effect model (lme of nlme) for a 2-treatment, 2-sequence
        with 2 periods or more (i.e. 2x2x3/2x2x4) replicate crossover
        design.
License: GPL (>= 2)
NeedsCompilation: no
URL: http://pkpd.kmu.edu.tw/bear
Packaged: 2013-05-06 22:55:28 UTC; datawalker
Repository: CRAN
Date/Publication: 2013-05-07 06:22:08

## bear 2.5.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: bear
-Version: 2.5.5
-Date: 2013-05-08
+Version: 2.5.6
+Date: 2013-06-27
 Title: Average bioequivalence and bioavailability data analysis tool
 Author: Hsin-ya Lee, Yung-jin Lee
 Maintainer: Yung-jin Lee <mobilepk@gmail.com>
@@ -17,6 +17,6 @@
 License: GPL (>= 2)
 NeedsCompilation: no
 URL: http://pkpd.kmu.edu.tw/bear
-Packaged: 2013-05-06 22:55:28 UTC; datawalker
+Packaged: 2013-06-27 00:16:23 UTC; datawalker
 Repository: CRAN
-Date/Publication: 2013-05-07 06:22:08
+Date/Publication: 2013-06-27 06:48:48

## bear 2.5.7

=== DESCRIPTION ===
Package: bear
Version: 2.5.7
Date: 2013-09-23
Title: Average bioequivalence and bioavailability data analysis tool
Author: Hsin-ya Lee, Yung-jin Lee
Maintainer: Yung-jin Lee <mobilepk@gmail.com>
Depends: R (>= 2.12.0), reshape, nlme, ICSNP, gdata
Imports: sciplot, plotrix, ggplot2, png, grid
Suggests: plyr
Description: An average bioequivalence (ABE) and bioavailability data
        analysis tool including sample size estimation, noncompartmental
        analysis (NCA), ANOVA (lm) for a standard RT/TR 2x2x2 crossover
        design or a parallel study. And linear mixed effect model (lme 
        of nlme) for a 2-treatment, 2-sequence with 2 periods or more 
        (i.e. 2x2x3/2x2x4) replicate crossover design.
License: GPL (>= 2)
NeedsCompilation: no
URL: http://pkpd.kmu.edu.tw/bear
Packaged: 2013-09-23 07:24:37 UTC; datawalker
Repository: CRAN
Date/Publication: 2013-09-23 10:00:51

## bear 2.5.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: bear
-Version: 2.5.7
-Date: 2013-09-23
+Version: 2.5.8
+Date: 2013-11-01
 Title: Average bioequivalence and bioavailability data analysis tool
 Author: Hsin-ya Lee, Yung-jin Lee
 Maintainer: Yung-jin Lee <mobilepk@gmail.com>
@@ -16,6 +16,6 @@
 License: GPL (>= 2)
 NeedsCompilation: no
 URL: http://pkpd.kmu.edu.tw/bear
-Packaged: 2013-09-23 07:24:37 UTC; datawalker
+Packaged: 2013-11-01 06:36:36 UTC; datawalker
 Repository: CRAN
-Date/Publication: 2013-09-23 10:00:51
+Date/Publication: 2013-11-01 08:09:15

## bear 2.6.0

=== DESCRIPTION ===
Package: bear
Version: 2.6.0
Date: 2013-12-12
Title: Average bioequivalence and bioavailability data analysis tool
Author: Hsin-ya Lee, Yung-jin Lee
Maintainer: Yung-jin Lee <mobilepk@gmail.com>
Depends: R (>= 2.12.0), reshape, nlme, gdata
Imports: ICSNP, sciplot, plotrix, ggplot2, png, grid
Suggests: plyr
Description: An average bioequivalence (ABE) and bioavailability data
        analysis tool including sample size estimation, noncompartmental
        analysis (NCA), ANOVA (lm) for a standard RT/TR 2x2x2 crossover
        design or a parallel study. And linear mixed effect model (lme 
        of nlme) for a 2-treatment, 2-sequence with 2 periods or more 
        (i.e. 2x2x3/2x2x4) replicate crossover design.
License: GPL (>= 2)
NeedsCompilation: no
URL: http://pkpd.kmu.edu.tw/bear
Packaged: 2013-12-04 07:27:57 UTC; datawalker
Repository: CRAN
Date/Publication: 2013-12-04 09:37:10

## bear 2.6.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: bear
-Version: 2.6.0
-Date: 2013-12-12
+Version: 2.6.1
+Date: 2014-01-10
 Title: Average bioequivalence and bioavailability data analysis tool
 Author: Hsin-ya Lee, Yung-jin Lee
 Maintainer: Yung-jin Lee <mobilepk@gmail.com>
@@ -16,6 +16,6 @@
 License: GPL (>= 2)
 NeedsCompilation: no
 URL: http://pkpd.kmu.edu.tw/bear
-Packaged: 2013-12-04 07:27:57 UTC; datawalker
+Packaged: 2014-01-10 01:59:29 UTC; datawalker
 Repository: CRAN
-Date/Publication: 2013-12-04 09:37:10
+Date/Publication: 2014-01-10 07:24:39

## bear 2.6.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: bear
-Version: 2.6.1
-Date: 2014-01-10
+Version: 2.6.2
+Date: 2014-02-25
 Title: Average bioequivalence and bioavailability data analysis tool
 Author: Hsin-ya Lee, Yung-jin Lee
 Maintainer: Yung-jin Lee <mobilepk@gmail.com>
@@ -16,6 +16,6 @@
 License: GPL (>= 2)
 NeedsCompilation: no
 URL: http://pkpd.kmu.edu.tw/bear
-Packaged: 2014-01-10 01:59:29 UTC; datawalker
+Packaged: 2014-02-24 18:45:52 UTC; datawalker
 Repository: CRAN
-Date/Publication: 2014-01-10 07:24:39
+Date/Publication: 2014-02-24 22:56:43

## bear 2.6.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: bear
-Version: 2.6.2
-Date: 2014-02-25
+Version: 2.6.3
+Date: 2014-04-22
 Title: Average bioequivalence and bioavailability data analysis tool
 Author: Hsin-ya Lee, Yung-jin Lee
 Maintainer: Yung-jin Lee <mobilepk@gmail.com>
@@ -16,6 +16,6 @@
 License: GPL (>= 2)
 NeedsCompilation: no
 URL: http://pkpd.kmu.edu.tw/bear
-Packaged: 2014-02-24 18:45:52 UTC; datawalker
+Packaged: 2014-04-21 21:26:51 UTC; datawalker
 Repository: CRAN
-Date/Publication: 2014-02-24 22:56:43
+Date/Publication: 2014-04-22 07:23:19

## bear 2.6.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Package: bear
-Version: 2.6.3
-Date: 2014-04-22
-Title: Average bioequivalence and bioavailability data analysis tool
+Version: 2.6.4
+Date: 2014-12-10
+Title: Data Analysis Tool for Average Bioequivalence and
+        Bioavailability
 Author: Hsin-ya Lee, Yung-jin Lee
 Maintainer: Yung-jin Lee <mobilepk@gmail.com>
 Depends: R (>= 2.12.0), reshape, nlme, gdata
@@ -16,6 +17,7 @@
 License: GPL (>= 2)
 NeedsCompilation: no
 URL: http://pkpd.kmu.edu.tw/bear
-Packaged: 2014-04-21 21:26:51 UTC; datawalker
+Contact: Yung-jin Lee <mobilepk@gmail.com>
+Packaged: 2014-12-09 19:51:03 UTC; datawalker
 Repository: CRAN
-Date/Publication: 2014-04-22 07:23:19
+Date/Publication: 2014-12-09 22:22:27
